ingres_error
ingres_fetch_array
Ingres II Functions
PHP Manual

# ingres_errsqlstate

(PECL ingres:1.1-1.4.3)

ingres_errsqlstate — Gets the last SQLSTATE error code generated

### Description

string ingres_errsqlstate ([ resource `$link` ] )

Returns a string containing the last SQLSTATE, or NULL if no error has occurred.

If a `link` resource is passed to ingres_errsqlstate() it returns the last error recorded for the link. If no link is passed then ingres_errsqlstate() returns the last error reported using the default link.

The function, ingres_errsqlstate(), should always be called after executing any database query. Calling another function before ingres_errsqlstate() is called will reset or change any error message from the last Ingres function call.

### Parameters

`link`

  The connection link identifier. If not specified, the last opened link is used.

### Return Values

Returns a string containing the last SQLSTATE, or NULL if no error has occurred.

### Examples

Example #1 ingres_errsqlstate() example

`<?php
ingres_connect($database, $user, $password);
ingres_query("select * from table");
$error_sqlstate = ingres_errsqlstate();
if (!is_null($error_sqlstate)) {
echo "An error occured - " . $error_sqlstate;
}
?>`

### See Also

- ingres_errno()
- ingres_error()

ingres_error
ingres_fetch_array
Ingres II Functions
PHP Manual